div {
  overflow: hidden;
}

ul {
  padding: 0;
  margin-top: 0px;
}

li {
  list-style: none;
  font-family: 'Roboto', sans-serif;
  text-align: start;
}

li .text {
  color: red;
  transition: color 0.5s;
}

li::before {
  content: '✔';
  margin-inline-end: 1em;
  opacity: 0;
  color: green;
  transition: opacity 0.5s;
}

li.ok::before {
  visibility: visible;
  opacity: 1;
}

li.ok .text {
  color: inherit;
}
